# Generated by Django 2.1.3 on 2019-01-19 11:58

from django.db import migrations, models
import django.db.models.deletion
import finanztool.core.models.invoice


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0040_auto_20181209_1338'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='issuedinvoice',
            options={'verbose_name': 'Ausgestellte Rechnung', 'verbose_name_plural': 'Ausgestellte Rechnungen'},
        ),
        migrations.AlterModelOptions(
            name='receivedinvoice',
            options={'verbose_name': 'Eingehende Rechnung', 'verbose_name_plural': 'Eingehende Rechnungen'},
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='bkz',
            field=models.CharField(max_length=255, unique=True, verbose_name='BKZ'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='booking_date',
            field=models.DateField(blank=True, null=True, verbose_name='Buchungsdatum'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='booking_year',
            field=models.CharField(max_length=4, verbose_name='Buchungsjahr'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='fi_number',
            field=models.CharField(blank=True, max_length=255, verbose_name='FI Nummer'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='general_ledger_account',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.GeneralLedgerAccount', verbose_name='Sachkonto'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='generated_file',
            field=models.FileField(blank=True, verbose_name='Anweisungsformular'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='internal_invoice_number',
            field=models.CharField(max_length=255, verbose_name='Interne Rechnungsnummer'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='invoice_file',
            field=models.FileField(blank=True, verbose_name='Rechnungsdatei'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='name',
            field=models.CharField(max_length=255, verbose_name='Name/Titel'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='reason',
            field=models.TextField(blank=True, verbose_name='Begründung'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='reception_date',
            field=models.DateField(verbose_name='Empfangsdatum'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='recipient',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Recipient', verbose_name='Empfänger'),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='requester',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Requester', verbose_name=''),
        ),
        migrations.AlterField(
            model_name='issuedinvoice',
            name='signer',
            field=models.CharField(blank=True, max_length=255, verbose_name='Anweisender Finanzer'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='booking_date',
            field=models.DateField(blank=True, null=True, verbose_name='Buchungsdatum'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='booking_year',
            field=models.CharField(max_length=4, verbose_name='Buchungsjahr'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='fi_number',
            field=models.CharField(blank=True, max_length=255, verbose_name='FI Nummer'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='general_ledger_account',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.GeneralLedgerAccount', verbose_name='Sachkonto'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='generated_file',
            field=models.FileField(blank=True, verbose_name='Anweisungsformular'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='internal_invoice_number',
            field=models.CharField(max_length=255, verbose_name='Interne Rechnungsnummer'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='invoice_file',
            field=models.FileField(blank=True, verbose_name='Rechnungsdatei'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='name',
            field=models.CharField(max_length=255, verbose_name='Name/Titel'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='reason',
            field=models.TextField(blank=True, verbose_name='Begründung'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='reception_date',
            field=models.DateField(verbose_name='Empfangsdatum'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='reference',
            field=models.CharField(max_length=255, verbose_name='Verwendungszweck'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='requester',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Requester', verbose_name=''),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='signer',
            field=models.CharField(blank=True, max_length=255, verbose_name='Anweisender Finanzer'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='vendor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, parent_link=True, to='core.Vendor', verbose_name='Rechnungssteller'),
        ),
        migrations.AlterField(
            model_name='receivedinvoice',
            name='vendor_invoice_number',
            field=models.CharField(max_length=255, verbose_name='Rechnungsnummer'),
        ),
        migrations.AlterUniqueTogether(
            name='issuedinvoice',
            unique_together=set(),
        ),
    ]
